---

- hosts: all
  become: true
  
  vars:
    db_io_post_import_sql_dir: "/var/www/db/post-import"
    primary_db_name: primary_db
    import_source_db_name: import_source_db
    import_source_db_user: root
    import_source_db_pass: root
    import_source_db_host: localhost
    import_source_db_port: 3306
    mysql_databases:
      - name: "{{ import_source_db_name }}"

  roles:
    - geerlingguy.mysql

  tasks:
    - import_role: 
        name: ../../ansible-mysql-db-io

    - name: Copy post import sql
      become: false
      copy:
        src: files/01-test.sql
        dest: "{{ db_io_post_import_sql_dir }}/"

    - name: Copy sample files
      become: false
      copy:
        src: "{{ item }}"
        dest: /var/www/db/
      with_items:
        - files/original-sample.sql
        - files/remote-sample.sql
        - files/original-sample.sql.gz

    - name: Check if remote sample DB is empty
      shell: "mysql -u{{ import_source_db_user }} -p{{ import_source_db_pass }} {{ import_source_db_name }} -e 'show tables;'"
      changed_when: false
      register: isRemoteDbNotEmpty

    - name: Import remote mysql sample database
      mysql_db:
        name: "{{ import_source_db_name }}"
        state: import
        target: /var/www/db/remote-sample.sql
        login_user: "{{ import_source_db_user }}"
        login_password: "{{ import_source_db_pass }}"
      when: isRemoteDbNotEmpty.stdout == ""
